#!/sbin/sh

## start prop changer

print "mount vendor"

mount /vendor
cd /vendor/

print "change props in vendor"

if [ -f build.prop ]; then
    sed -i 's:userdebug:user:' build.prop
    sed -i 's:test-keys:release-keys:' build.prop
    sed -i 's:ro.build.selinux=0:ro.build.selinux=1:' build.prop
    sed -i 's:ro.debuggable=1:ro.debuggable=0:' build.prop
    sed -i 's:ro.secure=0:ro.secure=1:' build.prop
    sed -i 's:en-US:ko-KR:' build.prop
fi

if [ -f default.prop ]; then
    sed -i 's:userdebug:user:' default.prop
    sed -i 's:test-keys:release-keys:' default.prop
    sed -i 's:ro.build.selinux=0:ro.build.selinux=1:' default.prop
    sed -i 's:ro.debuggable=1:ro.debuggable=0:' default.prop
    sed -i 's:ro.secure=0:ro.secure=1:' default.prop
fi

print "mount system"

mount /system
cd /system/

print "change props in system"


if [ -f build.prop ]; then
    sed -i 's:userdebug:user:' build.prop
    sed -i 's:test-keys:release-keys:' build.prop
    sed -i 's:ro.build.selinux=0:ro.build.selinux=1:' build.prop
    sed -i 's:ro.debuggable=1:ro.debuggable=0:' build.prop
    sed -i 's:ro.secure=0:ro.secure=1:' build.prop
fi

cd /system/etc/

if [ -f prop.default ]; then
    sed -i 's:userdebug:user:' prop.default
    sed -i 's:test-keys:release-keys:' prop.default
    sed -i 's:ro.build.selinux=0:ro.build.selinux=1:' prop.default
    sed -i 's:ro.debuggable=1:ro.debuggable=0:' prop.default
    sed -i 's:ro.secure=0:ro.secure=1:' prop.default
fi

## end prop changer
